Subject: Re: [PATCH net-next v2 11/15] net: pse-pd: Add support for PSE device index

From: Oleksij Rempel <[email-masked]>
Date: Thu, 9 Jan 2025 17:27:03 +0100

On Thu, Jan 09, 2025 at 05:09:57PM +0100, Kory Maincent wrote:
> On Thu, 9 Jan 2025 07:59:26 -0800
> Jakub Kicinski <[email-masked]> wrote:
> 
> > On Thu, 09 Jan 2025 11:18:05 +0100 Kory Maincent wrote:
> > > From: Kory Maincent (Dent Project) <[email-masked]>
> > > 
> > > Add support for a PSE device index to report the PSE controller index to
> > > the user through ethtool. This will be useful for future support of power
> > > domains and port priority management.  
> > 
> > This index is not used in the series, I see later on you'll add power
> > evaluation strategy but that also seems to be within a domain not
> > device?
> > 
> > Doesn't it make sense to move patches 11-14 to the next series?
> > The other 11 patches seem to my untrained eye to reshuffle existing
> > stuff, so they would make sense as a cohesive series.
> 
> Indeed PSE index is used only as user information but there is nothing
> correlated. You are right maybe we can add PSE index when we have something
> usable for it.

No user, means, it is not exposed to the user space, it is not about
actual user space users.

-- 
Pengutronix e.K.                           |                             |
Steuerwalder Str. 21                       | http://www.pengutronix.de/  |
31137 Hildesheim, Germany                  | Phone: +49-5121-206917-0    |
Amtsgericht Hildesheim, HRA 2686           | Fax:   +49-5121-206917-5555 |